Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class Vint8.Position

    java.lang.Object
      org.apache.lucene.util.Vint8.Position

Enclosing class:
  Vint8

    public static class Vint8.Position

extends Object

Because Java lacks call-by-reference, this class boxes the decoding position, which is initially set by the caller, and returned after decoding, incremented by the number of bytes processed.

Field Summary
`int` | `pos` The value passed by reference.

Constructor Summary
`Vint8.Position()` Creates a position value set to zero.
`Vint8.Position(int initialPosition)` Creates a position set to `initialPosition`.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pos

    public int pos

  The value passed by reference.

Constructor Detail

### Vint8.Position

    public Vint8.Position()

  Creates a position value set to zero.

### Vint8.Position

    public Vint8.Position(int initialPosition)

  Creates a position set to `initialPosition`.

  Parameters:
    `initialPosition` - The starting decoding position in the source buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD